<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'christmas_basket',

    /*
     * Modules.
     */
    'modules'   => ['christmas_catalog', 'christmas_basket'],

    'christmas_catalog'       => [
        'model' => [
            'model' => \Litecms\ChristmasBasket\Models\ChristmasCatalog::class,
            'repository' => \Litecms\ChristmasBasket\Repositories\Eloquent\ChristmasCatalogRepository::class,
            'table' => 'christmas_catalogs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'slug',  'url',  'image_id',  'order_form',  'description',  'status'],
            'translatables' => [],
            'upload_folder' => 'christmas_basket/christmas_catalog',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'ChristmasBasket',
            'module' => 'ChristmasCatalog',
        ],
    ],
    'christmas_basket'       => [
        'model' => [
            'model' => \Litecms\ChristmasBasket\Models\ChristmasBasket::class,
            'repository' => \Litecms\ChristmasBasket\Repositories\Eloquent\ChristmasBasketRepository::class,
            'table' => 'christmas_baskets',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'price'],
            'translatables' => [],
            'upload_folder' => 'christmas_basket/christmas_basket',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'ChristmasBasket',
            'module' => 'ChristmasBasket',
        ],
    ],
];
