<?php

namespace Litecms\ChristmasBasket\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ChristmasCatalogTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('christmas_catalogs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'christmas_basket.christmas_catalog.view',
                'name'      => 'View ChristmasCatalog',
            ],
            [
                'slug'      => 'christmas_basket.christmas_catalog.create',
                'name'      => 'Create ChristmasCatalog',
            ],
            [
                'slug'      => 'christmas_basket.christmas_catalog.edit',
                'name'      => 'Update ChristmasCatalog',
            ],
            [
                'slug'      => 'christmas_basket.christmas_catalog.delete',
                'name'      => 'Delete ChristmasCatalog',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/christmas_basket/christmas_catalog',
                'name'        => 'ChristmasCatalog',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/christmas_basket/christmas_catalog',
                'name'        => 'ChristmasCatalog',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'christmas_catalog',
                'name'        => 'ChristmasCatalog',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'ChristmasBasket',
                'module'    => 'ChristmasCatalog',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'christmas_basket.christmas_catalog.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
