Lavalite package that provides christmas_basket management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/christmas_basket`.

    "litecms/christmas_basket": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\ChristmasBasket\Providers\ChristmasBasketServiceProvider::class,

And also add it to alias

    'ChristmasBasket'  => Litecms\ChristmasBasket\Facades\ChristmasBasket::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ChristmasBasket\\Seeders\\ChristmasBasketTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\ChristmasBasket\Providers\ChristmasBasketServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\ChristmasBasket\Providers\ChristmasBasketServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\ChristmasBasket\Providers\ChristmasBasketServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/christmas_basket/{modulename}

**User**

    http://path-to-route-folder/user/christmas_basket/{modulename}

**Public**

    http://path-to-route-folder/christmas_baskets


### API endpoints

**List**

    http://path-to-route-folder/api/user/christmas_basket/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/christmas_basket/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/christmas_basket/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/christmas_basket/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/christmas_basket/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/christmas_basket/{modulename}/{slug}
    METHOD: GET