<?php

namespace Litecms\ChristmasBasket\Repositories\Eloquent;

use Litecms\ChristmasBasket\Interfaces\ChristmasBasketRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\ChristmasBasket\Repositories\Eloquent\Presenters\ChristmasBasketItemPresenter;


class ChristmasBasketRepository extends BaseRepository implements ChristmasBasketRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.christmas_basket.christmas_basket.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.christmas_basket.christmas_basket.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ChristmasBasketItemPresenter::class;
    }
}
