<?php

namespace Litecms\ChristmasBasket\Repositories\Eloquent;

use Litecms\ChristmasBasket\Interfaces\ChristmasCatalogRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\ChristmasBasket\Repositories\Eloquent\Presenters\ChristmasCatalogItemPresenter;


class ChristmasCatalogRepository extends BaseRepository implements ChristmasCatalogRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.christmas_basket.christmas_catalog.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.christmas_basket.christmas_catalog.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ChristmasCatalogItemPresenter::class;
    }
}
